compatible for old android

which version is compatible with android 5.0?

Download normal android which is available, Brave does not have special browser for this particular case.
I had an old phone on which I ran 6-7 browsers, from chromium to gecko, practically all available good browsers. And coincidentally, only brave functioned properly for some reason.

You can turn off the extra things on brave if you have less ram.